Get Subaccount By Id
curl --request GET \
--url https://api.cnaught.com/v1/subaccounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnaught.com/v1/subaccounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnaught.com/v1/subaccounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5nubL0NS",
"name": "Marketing Department",
"email": "jane.doe@example.com",
"default_portfolio_id": "mHvNvWbq",
"logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png"
}{
"title": "Authorization has been denied for this request",
"status": 401
}{
"type": "https://api.cnaught.com/v1/errors/not-found",
"title": "Could not find subaccount",
"status": 404
}Subaccounts
Get Subaccount By Id
Returns information about a subaccount
GET
/
subaccounts
/
{id}
Get Subaccount By Id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of subaccount to return / modify
Example:
"5nubL0NS"
Response
Subaccount Details
Identifier that can be used to retrieve the subaccount details
Example:
"5nubL0NS"
Timestamp of when the subaccount was created (in UTC)
Name of the subaccount
Maximum string length:
512Optional email associated with the subaccount.
Example:
"jane.doe@example.com"
Optional ID of the default portfolio used to fulfilling orders placed for this subaccount. If not specified, the parent account's default portfolio is the default portfolio for the subaccount.
Example:
"a23bF6"
Optional URL for the logo used for this subaccount, if any. This URL is for the logo as stored on CNaught's hosting.